#include <DS3231_Simple.h>

DS3231_Simple Clock;

String filename;
int sec_call, min_call, day_call;

void setup() {
  Serial.begin(9600);
  Clock.begin();
}


void loop() 
{ 
  // Create a variable to hold the data 
  DateTime MyDateAndTime;
  
  // Ask the clock for the data.
  MyDateAndTime = Clock.read();
   

  // call sec_fc, if sec changed
  if (sec_call != MyDateAndTime.Second) {
    sec_call = MyDateAndTime.Second;
    // call all sec this fc
    sec_fc();
    // file generating
    filename = String(MyDateAndTime.Year); 
    if (MyDateAndTime.Month < 10){
      filename.concat("_0");
    } else {
      filename.concat("_");
    }
    filename.concat(MyDateAndTime.Month);
    if (MyDateAndTime.Day < 10){
      filename.concat("_0");
    } else {
      filename.concat("_");
    }
    filename.concat(MyDateAndTime.Day);
  }

  // call min_fc, if min changed
  if (min_call != MyDateAndTime.Minute) {
    min_call = MyDateAndTime.Minute;
    // call this fc in all minutes
    min_fc();
  }

  // call day_fc, if day changed (new file)
  if (day_call != MyDateAndTime.Day) {
    day_call = MyDateAndTime.Day;
    // call this fc in all minutes
    day_fc();
  }
  
//  Serial.print("Hour: ");   Serial.println(MyDateAndTime.Hour);
//  Serial.print("Minute: "); Serial.println(MyDateAndTime.Minute);
//  Serial.print("Second: "); Serial.println(MyDateAndTime.Second);
//  Serial.print("Year: ");   Serial.println(MyDateAndTime.Year);
//  Serial.print("Month: ");  Serial.println(MyDateAndTime.Month);
//  Serial.print("Day: ");    Serial.println(MyDateAndTime.Day);
  
}

void sec_fc() {
  Serial.print("Second: "); Serial.println(sec_call);  
}

void min_fc() {
  Serial.print("Minute: "); Serial.println(min_call);
}

void day_fc() {
  Serial.print("Day: "); Serial.println(day_call);
  Serial.print("Filename: "); Serial.println(filename); 
}
